<!DOCTYPE html>
<html>
<head>
<style>
table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
}
</style>
</head>
<body>

<h2>Threat Table</h2>
<p>Potential threats for trust boundary one</p>

<table style="width:100%">
  <tr>
    <th></th>
    <th>Administrator</th>
    <th>Data Flow</th> 
    <th>Web Application</th>
  </tr>
  <tr>
    <!-- Spoofing threats-->
    <th>S</th> 
    <td></td>
    <td></td>
    <td class="example">Threat: There is no multi-factor authentication <br> Mitigation: Implement 2FA</td>
  </tr>
  <tr>
    <!-- Tampering threats-->
    <th>T</th>
    <td class="AD_T">Threat: <br> Mitigation:</td>
    <td class="DF_T">Threat: <br> Mitigation: </td>
    <td class="WA_T">Threat: <br> Mitigation: </td>
  </tr>
  <tr>
    <!-- Repudiation threats-->
    <th>R</th>
    <td class="AD_R">Threat: <br> Mitigation:</td>
    <td class="DF_R">Threat: <br> Mitigation: </td>
    <td class="WA_R">Threat: <br> Mitigation: </td>
  </tr>
  <tr>
    <!-- Information disclosure threats-->
    <th>I</th>
    <td class="AD_I">Threat: <br> Mitigation:</td>
    <td class="DF_I">Threat: <br> Mitigation: </td>
    <td class="WA_I">Threat: <br> Mitigation: </td>
  </tr>
  <tr>
    <!-- Denial of service threats-->
    <th>D</th>
    <td class="AD_D">Threat: <br> Mitigation:</td>
    <td class="DF_D">Threat: <br> Mitigation: </td>
    <td class="WA_D">Threat: <br> Mitigation: </td>
  </tr>
  <tr>
    <!-- Elevation of privilege threats-->
    <th>E</th>
    <td class="AD_E">Threat: <br> Mitigation:</td>
    <td class="DF_E">Threat: <br> Mitigation: </td>
    <td class="WA_E">Threat: <br> Mitigation: </td>
  </tr>
</table>

</body>
</html>

<!-- You can run this locally with "python3 -m http.server" -->
